Subject: [bug#76044] Request for merging "qt-team" branch

From: 宋文武 <[email-masked]>
Date: Mon, 05 May 2025 21:52:55 +0800

Andreas Enge <[email-masked]> writes:

> Hello,
>
> Am Sun, May 04, 2025 at 03:16:49PM +0800 schrieb 宋文武:
>> I have fixed kmime (by set LC_ALL=en_US.utf8) and kconfig (by upgrade to
>> 6.13.0) locally.
>> Will update the qt-team branch some minutes later, with KDE frameworks
>> 6.13.0.
>
> thanks for the updates!
>
> I am still learning how QA works. At
>    https://qa.guix.gnu.org/branch/qt-team
> things look good, on x86_64 there are fewer packages failing on qt-team
> than on master.
> But when clicking through on the 471 failing packages in qt-team, I see at
>    https://qa.guix.gnu.org/branch/qt-team/package-changes?x86_64-linux-change=broken&x86_64-linux-change=still-failing&x86_64-linux-change=unknown-to-failing&x86_64-linux-change=new-failing
> that some packages are newly failing, which look important, such as
> akonadi and kwin.

Yes, it seems update the KDE framwork libraries to 6.13.0 only is not
good enough.

CC to the KDE team, I think it's time to do a full KDE upgrade here on
the qt-team branch with Plasma 6.3.4 and Gear (Applications) 25.04.
What do you think?  thanks!